Skip to main content
GET
/
api
/
{projectId}
/
training
/
anomaly
/
{learnId}
Anomaly information
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/training/anomaly/{learnId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/training/anomaly/{learnId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/training/anomaly/{learnId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "dependencies": {
    "classes": [
      "<string>"
    ],
    "blockNames": [
      "<string>"
    ],
    "featureCount": 123,
    "sampleCount": 123,
    "outputClasses": [
      "<string>"
    ]
  },
  "name": "<string>",
  "axes": [
    {
      "ix": 123,
      "label": "<string>",
      "selected": true,
      "favourite": true
    }
  ],
  "trained": true,
  "selectedAxes": [
    123
  ],
  "minimumConfidenceRating": 123,
  "thresholds": [
    {
      "key": "min_score",
      "description": "Score threshold",
      "helpText": "Threshold score for bounding boxes. If the score for a bounding box is below this the box will be discarded.",
      "value": 0.5,
      "suggestedValue": 123,
      "suggestedValueText": "<string>",
      "dropdownOptions": [
        {
          "description": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "error": "<string>",
  "clusterCount": 123
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

learnId
integer
required

Learn Block ID, use the impulse functions to retrieve the ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

dependencies
object
required
name
string
required
axes
object[]
required

Selectable axes for the anomaly detection block

trained
boolean
required

Whether the block is trained

selectedAxes
integer[]
required

Selected clusters (in config)

minimumConfidenceRating
number
required

DEPRECATED, see "thresholds" instead. Minimum confidence rating for this block, scores above this number will be flagged as anomaly.

thresholds
object[]
required

List of configurable thresholds for this block.

error
string

Optional error description (set if 'success' was false)

clusterCount
integer

Number of clusters for K-means, or number of components for GMM (in config)